Clara-Backend
  1. Stripe
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
        GET
      • Portal
        POST
      • Buy
        POST
    • Misc
      • Health
      • Version
  1. Stripe

Rate

Prod Env
Prod Env
GET
/stripe/rate
This endpoint lets a user check the current credit rate and pricing on Clara. rate is the amount of credits you'll get per dollar within that limit.
Credits can only be bought between the lower_limit and upper_limit. Any amount outside of the limit will not be credited. For bigger purchases please reach out to us at hello@crazi.co.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200Success
text/plain
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/stripe/rate' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
  "data": [
    {
      "lower_limit": 5,
      "rate": 100,
      "stripe_price_id": "price_1SXmWHKwYn5rJp9NRR1k1rD4",
      "upper_limit": 10000
    }
  ],
  "message": "Credits rate fetched successfully. Upper limit and lower limit are in fiat. Rate is in credits per dollar. Any amount beyond the limits will not be credited.",
  "status": "success"
}
Modified at 2025-12-10 10:18:35
Previous
Stripe
Next
Portal
Built with